<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: MegaCoverage</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: MegaCoverage</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>MegaCoverage<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description">MegaCoverage is a secondary product of the product.</div>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    
    <h2>Constructor</h2>
    

    
    <h4 class="name" id="MegaCoverage"><span class="type-signature"></span>new MegaCoverage<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_insurances_megaCoverage.js.html">models/insurances/megaCoverage.js</a>, <a href="models_insurances_megaCoverage.js.html#line3">line 3</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    
        <h3 class="subsection-title">Extends</h3>

        


    <ul>
        <li><a href="Product.html">Product</a></li>
    </ul>


    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="setPrice"><span class="type-signature"></span>setPrice<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    (Override) Update the price because the price of the mega coverage should always be 80
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_insurances_megaCoverage.js.html">models/insurances/megaCoverage.js</a>, <a href="models_insurances_megaCoverage.js.html#line34">line 34</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="setSellIn"><span class="type-signature"></span>setSellIn<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    (Override) Update the sellin variable to default because is a legendary product and will never be sold
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_insurances_megaCoverage.js.html">models/insurances/megaCoverage.js</a>, <a href="models_insurances_megaCoverage.js.html#line42">line 42</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>







<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>MegaCoverage<span class="signature">(name, sellIn, price)</span><span class="type-signature"></span></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    
    <h4 class="name" id="MegaCoverage"><span class="type-signature"></span>new MegaCoverage<span class="signature">(name, sellIn, price)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Create a Mega Coverage.
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last">The name of secondary product.</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>sellIn</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">The limit of day to sell.</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>price</code></td>
            

            <td class="type">
            
                
<span class="param-type">number</span>


            
            </td>

            

            

            <td class="description last">The secondary product price.</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_insurances_megaCoverage.js.html">models/insurances/megaCoverage.js</a>, <a href="models_insurances_megaCoverage.js.html#line24">line 24</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="setPrice"><span class="type-signature"></span>setPrice<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    (Override) Update the price because the price of the mega coverage should always be 80
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_insurances_megaCoverage.js.html">models/insurances/megaCoverage.js</a>, <a href="models_insurances_megaCoverage.js.html#line34">line 34</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="setSellIn"><span class="type-signature"></span>setSellIn<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    (Override) Update the sellin variable to default because is a legendary product and will never be sold
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="models_insurances_megaCoverage.js.html">models/insurances/megaCoverage.js</a>, <a href="models_insurances_megaCoverage.js.html#line42">line 42</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-Application.html">Application</a></li><li><a href="module-productController.html">productController</a></li></ul><h3>Classes</h3><ul><li><a href="carInsurance.html">carInsurance</a></li><li><a href="FullCoverage.html">FullCoverage</a></li><li><a href="LowCoverage.html">LowCoverage</a></li><li><a href="MediumCoverage.html">MediumCoverage</a></li><li><a href="MegaCoverage.html">MegaCoverage</a></li><li><a href="Product.html">Product</a></li><li><a href="specialFullCoverage.html">specialFullCoverage</a></li><li><a href="SuperSaleCoverage.html">SuperSaleCoverage</a></li></ul><h3>Global</h3><ul><li><a href="global.html#checkPrice">checkPrice</a></li><li><a href="global.html#getProducts">getProducts</a></li><li><a href="global.html#setPrice">setPrice</a></li><li><a href="global.html#setSellIn">setSellIn</a></li><li><a href="global.html#update">update</a></li><li><a href="global.html#updatePrice">updatePrice</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Jan 24 2021 14:28:26 GMT-0600 (Central Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>